from django.contrib import admin

from .models import Classe, Eleve, Message, Resultat
# Register your models here.

class ResultatInline(admin.TabularInline):
    model = Resultat
    extra = 1

class EleveAdmin(admin.ModelAdmin):
    list_display = ['nom_eleve', 'prenom_eleve']

class ClasseAdmin(admin.ModelAdmin):
    filter_horizontal = ('eleves',) 
    inlines = [ResultatInline]
 
admin.site.register(Eleve, EleveAdmin)
admin.site.register(Classe, ClasseAdmin)
admin.site.register(Message)
