from django.db import models
from django.db.models.deletion import CASCADE

# Create your models here.

class Eleve(models.Model):
    nom_eleve = models.CharField("Nom de l'élève", max_length=50)
    prenom_eleve = models.CharField("Prénom de l'élève", max_length=100)
    phone = models.IntegerField("Numéro de téléphone")
        
    def __str__(self) :
        return self.nom_eleve
        
        
class Classe(models.Model):
    eleves = models.ManyToManyField(Eleve)
    nom_annee = models.CharField("Nom de l'année", max_length=50)
    annee_scolaire = models.CharField("Année scolaire", max_length=100)
    code_acces = models.CharField("Code d'accès", max_length=10)
       
    def __str__(self):
        return self.nom_annee

class Resultat(models.Model):
    res_classe = models.ForeignKey(Classe, on_delete=CASCADE)
    nom_resultat = models.CharField("Nom du résultat", max_length=100)
    fichier_resultat = models.FileField("Fichier")
    date_resultat = models.DateField()
    date_fin = models.DateField()
    
    def __str__(self) :
        return self.nom_resultat

class Message(models.Model):
    nom_message =models.CharField("Nom du message", max_length=100)
    contenu_message = models.CharField("Contenu du message", max_length=200)
    envoye = models.BooleanField("Envoyé")

    def __str__(self) :
        return self.nom_message